Module java.corba
Package org.omg.PortableServer

## Interface LifespanPolicy

- All Superinterfaces:
    `IDLEntity`, `LifespanPolicyOperations`, `Object`, `Policy`, `PolicyOperations`, `Serializable`

      public interface LifespanPolicy
      extends LifespanPolicyOperations, Policy, IDLEntity

  The LifespanPolicy specifies the lifespan of the objects implemented in the created POA. The default is TRANSIENT.

- - ### Method Summary

    - ### Methods inherited from interface org.omg.PortableServer.LifespanPolicyOperations

      `value`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

    - ### Methods inherited from interface org.omg.CORBA.PolicyOperations

      `copy, destroy, policy_type`